Red Hat Linux/x86 7.2 Release Note
---------------------------------------------

Anaconda/Note sul programma di installazione
--------------------------------------------

 Boot loader
 ----------

   - Il boot loader utilizzato per default è GRUB. LILO è comunque
     disponibile per le installazioni tradizionali.

   - GRUB consente di impostare una password per controllare gli accessi alla shell di GRUB.
     GRUB è in grado di eseguire alcuni comandi, e questo può
     rivestire un aspetto importante in relazione alla sicurezza del sistema. Si consiglia
     di tenere presente queste considerazioni prima di decidere se impostare o meno una 
     password GRUB. Tale password viene criptata per mezzo dell'algoritmo MD5; per maggiori
     informazioni in merito, consultate la pagina man
     grub-md5-crypt.

   - Se state effettuando un aggiornamento da una versione precedente di
     Red Hat Linux, assegnate al boot loader la stessa posizione utilizzata
     nell'installazione precedente. Per esempio, se in origine il boot loader
     era stato memorizzato nel master boot loader (MBR), quando effettuate 
     l'aggiornamento, memorizzatelo di nuovo nel MBR, altrimenti il sistema
     quasi certamente non sarà in grado di avviarsi.
     
   - Se state utilizzando il boot loader GRUB non dovete compilarlo 
     di nuovo dopo l'aggiornamento del kernel, a differenza di quanto 
     accadeva per il boot loader LILO, che andava invece ricompilato
     dopo ogni modifica. Per consentire a GRUB di avviare il nuovo kernel
     è sufficiente modificare il file di configurazione di GRUB
     (/boot/grub/grub.conf) in modo che sia in grado di riconoscerlo.

   - Se decidete di passare all'utilizzo del boot loader GRUB dopo
     l'installazione, o se dovete reinstallare GRUB, potete farlo 
     mediante il comando /sbin/grub-install, la cui sintassi deve 
     includere la specifica del dispositivo che indica dove va installato 
     il boot loader.

     Esempio:
               /sbin/grub-install /dev/hda

   - Per avviare da GRUB in modalità a singolo utente, eseguite
     le seguenti operazioni dalla schermata del menù:

         1.  Selezionate il kernel desiderato.

         2.  Premete il tasto 'e' per modificare la voce.

         3.  Usate i tasti freccia per muovervi fino alla linea del kernel
             (per esempio: kernel /vmlinuz-2.4.7-1 ro root=/dev/hda2)

         4.  Premete il tasto 'e' per modificare la linea.

         5.  Aggiungete l'argomento 'single' in fondo alla linea e poi
             premete invio.

         6.  Premete il tasto 'b' per avviare il sistema.


 Partizionamento
 ---------------

   - L'interfaccia utente Disk Druid è stata riscritta in modo da  
     poter incorporare un'interfaccia in grado di sfruttare al meglio le
     potenzialità dell'ambiente grafico.

   - Ora Disk Druid è in grado di creare partizioni primarie 
     specificando un intervallo per il cilindro.

   - Disk Druid ha la capacità di specificare se una nuova partizione
     deve essere creata come partizione primaria.

   - Le installazioni in modalità testo consentono la creazione di
     dispositivi RAID.

   - I dischi spare possono essere indicati per i dispositivi RAID.

   - L'autopartizionamento consente ora di indicare quali unità usare
     e quali invece non utilizzare affatto.

   - Adesso è possibile visualizzare e modificare i risultati
     dell'autopartizionamento (solo per installazioni grafiche -- in
     modalità testo si possono vedere sempre i risultati).

   - Il filesystem journaling di tipo ext3 è ora disponibile.

   - Per riformattare durante l'installazione è possibile 
     selezionare filesystem preesistenti.

   - Durante le installazioni e gli aggiornamenti file preesistenti 
     possono essere migrati da ext2 verso ext3. Questo processo
     non cancella i dati contenuti nel filesystem.

   - Vengono svolti numerosi controlli aggiuntivi sui mount point creati
     dall'utente, al fine di evitare i problemi più comuni (come,
     per esempio, un mount point '/' di soli 5 MB).

   - GNU Parted è utilizzato come back-end, in sostituzione della 
     libreria libfdisk.

     Parted determina il tipo di filesystem esaminando il filesystem
     attualmente memorizzato su una partizione invece di fare affidamento
     sul tipo di filesystem contenuto nella tabella delle partizioni. Questo
     può creare confusione in presenza di partizioni preesistenti.

     Per esempio, se viene utilizzato fdisk per cambiare il tipo di partizione
     da VFAT a ext2, parted continua a considerare la partizione come VFAT
     poiché è ancora presente un filesystem VFAT. In questo
     caso, riformattate la partizione come ext2 mediante l'interfaccia Disk
     Druid prima che la partizione possa essere riconosciuta come ext2. Ogni
     volta che utilizzate fdisk all'interno del programma di installazione 
     e passate poi alla schermata di Disk Druid per impostare i mount point
     dovete anche rivedere e modificare ciascuna partizione (in Disk Druid)
     e configurare correttamente le relative opzioni di formato.

 Kickstart
 ---------
 
   - Durante il processo di installazione, all'interno di /root/anaconda-ks.cfg 
     viene memorizzato un file kickstart che riflette le opzioni di installazione
     selezionate dall'utente. Questo file può essere utilizzato per creare
     un'installazione analoga al sistema appena installato.

   - Kickstart viene eseguito in modalità grafica (se disponibile).
     Tuttavia, potete tornare alla modalità testo utilizzando la
     direttiva 'text' nel file kickstart.

   - Con Kickstart Configurator (ksconfig) è ora possibile creare delle
     partizioni su una specifica unità e su un'unità esistente, 
     configurare X, creare script di pre e post-installazione, effettuare un
     aggiornamento e servirsi delle nuove funzionalità presenti in questa
     release. L'utente, inoltre, ha la possibilità di controllare le proprie
     scelte prima di salvare il file e ha a disposizione un manuale integrato per
     poter creare facilmente il file kickstart.

   - Kickstart presenta alcune nuove caratteristiche/direttive:

     interactive -- legge il file kickstart, passa attraverso l'interfaccia
                    utente del programma di installazione con valori di 
                    kickstart. Attende l'input dell'utente a ogni schermata.

     text -- impone l'esecuzione di kickstart in modalità testo. La
             modalità predefinita è quella grafica.

   - Un'opzione --ondisk per la direttiva clearpart:

     --ondisk -- consente di specificare su quali untià creare le
                 partizioni

   - 'Boot loader' è un nuovo comando per il boot loader che supporta 
     le seguenti opzioni:

     --append <arg> -- aggiunge <args> sulla linea del kernel

     --useLilo -- utilizza LILO al posto di GRUB

     --md5pass <password criptata con MD5> -- password per GRUB da utilizzare

   - Opzioni aggiuntive per consentire alla direttiva xconfig di definire:

     --resolution 1024x768 -- la risoluzione dello schermo (in questo caso 1024 
                              per 768)

     --depth 16 -- la profondità di colore (impostata, in questo esempio,
                   sui 16 bit)
 Varie
 -----

   - La schermata di selezione individuale dei pacchetti offre una
     panoramica completa di tutti i pacchetti.

   - Per le installazioni effettuate via FTP, le immagini Red Hat Linux ISO
     possono essere montate in loopback su un server FTP. Tali immagini 
     devono essere montate come /disc1, /disc2 e così via -- nella
     stessa directory, che dunque va specificata all'avvio di un'installazione
     tramite FTP.

   - Per massimizzare lo spazio nell'immagine di installazione, il programma
     BusyBox fornisce il supporto per molti comandi di comune utilizzo.

   - Adesso, il prompt di modalità rescue compare prima del tentativo di
     montare dei filesystem dal sistema installato.

  - Non è più possibile effettuare installazioni senza
    partizionamento, ma resta comunque possibile effettuare 
    l'aggiornamento di questo tipo di installazioni.

   - I lettori floppy USB sono ora supportati durante l'installazione.


Note generali sulla distribuzione
---------------------------------

   - La questione relativa all'aggiornamento di sistemi Red Hat Linux 6.x,
     7.0 e 7.1 che supportano Ximian GNOME è ben nota.

     Il problema è stato causato da un accavallamento di versioni tra
     i pacchetti RPM ufficiali di Red Hat Linux e quelli di Ximian. Si prega
     di tener conto del fatto che questa configurazione non è supportata
     da Red Hat. Esistono varie soluzioni per ovviare a questo problema:

     - Rimuovere Ximian GNOME dal proprio sistema Red Hat Linux prima di
       procedere con l'aggiornamento.

     - Aggiornare Red Hat Linux e reinstallare successivamente Ximian GNOME.

     - Aggiornare Red Hat Linux e rimuovere tutti i restanti
       pacchetti RPM di Ximian per sostituirli con i pacchetti RPM di Red 
       Hat Linux corrispondenti.

     Il problema dell'accavallamento di versioni *deve* essere risolto
     mediante una delle soluzioni sopracitate, altrimenti la configurazione di
     GNOME risulta instabile.

   - GNOME è stato aggiornato alla versione 1.4 e include la shell grafica
     Nautilus.

   - In Nautilus, il control center di GNOME è stato sostituito dalla
     cartella 'preferenze:'. è comunque tuttora possibile eseguire
     'gnomecc' manualmente.

   - Il CD PowerTools non è più in produzione. In Red Hat 
     Linux, tuttavia, sono stati inseriti i pacchetti di PowerTools
     più utilizzati.
 
   - Configurazione del firewall -- per una maggiore sicurezza, il firewall
     può essere configurato durante l'installazione del sistema. 
     Potete scegliere tra due livelli di sicurezza e anche stabilire quali 
     servizi di sistema abilitare o disabilitare per default.

     Impostando il firewall sui livelli 'medio' o 'alto' viene causato
     il blocco dei servizi basati su RPC (come NIS o NFS), che quindi non
     potranno funzionare.

   - XFree86 è stato aggiornato alla versione 4.1. e include un supporto
     hardware più potente (per esempio è stata inserita l'accelerazione
     hardware 3D per il Radeon di ATI). La maggior parte delle schede video 
     supportano ora l'estensione RENDER, estendendo così il supporto della
     funzione anti-alias per i caratteri a una gamma hardware più ampia. Le
     vecchie estensioni di X XIE e PEX (Phigs) sono state ufficialmente discusse
     dal team di sviluppo di XFree86 e saranno rimosse dalle future versioni di Red 
     Hat Linux.

  - La versione 3.3.6 di XFree86 è stata discussa e verrà
    rimossa dalle future release di Red Hat Linux. Per il momento è
    ancora disponibile per consentire la compatibilità.

   - Gli initscript utilizzano /sbin/ip (dai pacchetti iproute) per svolgere
     quasi tutte le operazioni. Perché /sbin/ip funzioni correttamente
     devono essere state attivate le opzioni netlink e netlink routing, senza
     le quali è impossibile sfruttare appieno la funzionalità di
     routing del kernel. Se state compilando da soli il kernel, assicuratevi
     di aver abilitato CONFIG_NETLINK e CONFIG_RTNETLINK.

   - è stato aggiunto il supporto iniziale unfied per la lingua coreana.

   - Binutils e gcc ora consentono la fusione di stringhe duplicate costanti
     in interi binari o librerie condivise (in precedenza i duplicati venivano
     fusi all'interno di una singola unità di compilazione).

   - gcc-3.0 è presente per coloro che hanno bisogno del supporto per
     le librerie standard compatibili C++ o STL e per coloro che vogliono usare
     le funzionalità Java di gcc. Il compilatore per C e C++ supportato
     dal sistema è tuttora gcc-2.96 (Red Hat).

   - Il pacchetto VNC supporta un nuovo tipo di codificazione per connessioni
     a bassa ampiezza di banda.

   - Red Hat Linux comprende la prima release del processore XSLT (xsltproc)
     che utilizza la versione 2 della libreria XML associata.

   - Il supporto ODBC è stato aggiungo a php, postgresql è stato
     aggiornato alla versione 7.1.2, sono state aggiunte interfacce per python e
     aggiornate quelle per Perl.

   - Sono stati inseriti alcuni nuovi tool di configurazione, che consentono di
     configurare le seguenti opzioni:

       -  rete (redhat-config-network)
       -  ora/data (redhat-config-date)
       -  controllo di sistema (redhat-config-services)
       -  utenti/gruppi (redhat-config-users)
       
   -  Le funzionalità e i pacchetti contenuti nel seguente elenco sono stati 
     discussi e potrebbero essere rimossi dalle future release di Red Hat Linux:
     
       - Netscape 4.x
       - Qt 1.x
       - librerie di compatibilità/ambiente di sviluppo KDE v1
       - Ambiente di sviluppo di Red Hat Linux 6.x
       - Gestore di finestre Enlightenment
       - linuxconf
       - ncpfs
       - mars_nwe
       - XFree86 versione 3.3.x
       - kaffe

Note sul kernel 
---------------

   - Il kernel include ora il filesystem journaling di tipo ext3. Questo
     filesystem ha 3 modalità operative:

       - 'ordered'
       - 'journal'
       - 'writeback'

     'Ordered' è la modalità di default: dopo un crash del
     sistema garantisce la visione dei dati validi contenuti in file recenti.

     La modalità 'writeback' può risultare più veloce in 
     alcuni casi, ma non forza la scrittura di dati sul disco in modo rigoroso; 
     pertanto, dopo un crash di sistema, i file recenti possono subire corruzioni.

     La modalità 'journal' copia tutti i dati nel journal e può
     comportare aumenti di velocità notevoli se si memorizzano molti
     dati contemporaneamente (per esempio in più sessioni di posta o in
     server NFS in simultanea). In situazioni di normale utilizzo, tuttavia, 
     questa modalità risulta significativamente più lenta.

     La modalità viene impostata usando l'opzione di mount
     'data=<modalità>' in /etc/fstab oppure come 
     'mount -o data=<modalità>' sulla linea di comando del mount.

     Di norma, il controllo su un filesystem ext2 viene effettuato 
     automaticamente dopo un certo periodo di tempo o dopo che è stato
     effettuato un dato numero di montaggi dall'ultimo controllo. Allo scadere 
     del termine, viene imposto un 'fsck' (filesystem check) completo
     all'avvio del sistema, per verificare l'integrità del filesystem.

     Quando il programma di installazione crea un filesystem di tipo ext3 o
     aggiorna un filesystem ext2 in ext3, questi controlli vengono disabilitati
     automaticamente. Per riattivarli, o per disabilitarli sui filesystem ext3 
     creati manualmente, utilizzate 'tune2fs' con le opzioni '-c' e/o '-i'.

     Queste scansioni fsck non hanno effetti di sorta sul comportamento 
     del filesystem quando viene rilevato un errore sul disco o quando 
     si verifica un crash. Se viene trovato sul disco un errore di
     consistenza del filesystem, al riavvio successivo viene comunque 
     imposto un fsck, sia per i filesystem di tipo ext2 sia per quelli 
     di tipo ext3. Se si verifica un crash su un filesystem altrimenti
     intatto, ext2 forza un fsck ed ext3 attua comunque le operazioni di
     recupero per il filesystem; le impostazioni dell'intervallo per i
     controlli forzati, stabilite mediante 'tune2fs', non influiscono  
     sulle scansioni di 'pulizia' sopracitate.

     Tenete presente che anche un filesystem di tipo journaling può 
     rimanere danneggiato in seguito a una caduta di tensione. Quando
     un computer perde tensione, il suo comportamento diventa imprevidibile.
     Quando, per esempio, il contenuto della memoria viene copiato sul disco 
     fisso poco prima che la macchina subisca un calo di tensione, alcune sue 
     porzioni possono subire un deterioramento. Vi sono dunque delle differenze
     sostanziali rispetto a ciò che accade quando si riavvia un sistema in
     esecuzione utilizzando il tasto 'reset'. Inoltre, i dischi fissi IDE
     non forniscono le stesse garanzie dei dispositivi SCSI per quanto riguarda
     l'ordine di scrittura.

     Pertanto, in seguito a un crash del sistema, avrete la possibilità di
     effettuare un controllo sull'integrità dei vostri filesystem. Il file
     /.autofsck è il flag utilizzato per fornire questa funzionalià. Se per 
     qualsiasi motivo si verificasse un crash di sistema, durante il processo
     di avvio avrete a disposizione cinque secondi per digitare 'y' e lanciare
     il controllo dei vostri filesystem.

  - Red Hat Linux installa un kernel ottimizato per processori
    Athlon su sistemi con CPU di classe Athlon. Tale ottimizzazione
    comporta un notevole aumento di carico sui componenti del sistema
    ed esiste pertanto la possibilità che un numero esiguo
    di macchine non riescano ad avviarsi perché il loro hardware,
    non pienamente conforme alle specifiche AMD, non è in grado
    gestire tale carico. Su questi sistemi potete decidere di aggiornare
    l'hardware (per esempio usando unità di alimentazione
    sottoalimentate) oppure di recuperare la capacità del
    programma di installare un kernel i686.

  - Alcune macchine di classe Athlon danno problemi di compatibilità,
    oppure i parametri di configurazione dei chipset impostati nel
    loro BIOS sono troppo 'aggressivi'. Su questi sistemi, potreste
    visualizzare degli 'Oops' casuali all'avvio (dopo aver portato
    a termine con successo il processo di installazione) e non sarete
    in grado di avviare la macchina. In questi casi, effettuate l'avvio
    con l'opzione 'noathlon' per disattivare le ottimizzazioni athlon;
    al fine di evitare problemi di questo genere in futuro, installate
    il kernel 686 al posto del kernel athlon.

Note sulla stampa
-----------------

   - Il sistema printconf fornisce un programma printconf-tui per la configurazione
     della stampante in modalità testo.

   - Il programma printconf-tui consente di eseguire importazioni ed esportazioni 
     dalla linea di comando. Il processo di importazione può incorporare
     alle definizioni della stampante quelle già presenti, oppure
     sovrascriverle (come previsto per default).

     Esempio:

         printconf-tui --Xexport > settings.xml

         printconf-tui --Ximport < settings.xml
     oppure:
         printconf-tui --Ximport --merge < settings.xml

     Utilizzando queste opzioni insieme a quella di reindirizzamento -- per esempio bash
     (per maggiori informazioni consultate la pagina man relativa alla bash) -- diventa
     molto più semplice inserire i parametri di configurazione della stampante
     all'interno di file kickstart.

   - Il programma printcond-tui consente di cancellare completamente delle impostazioni.

     Esempio:

          printconf-tui --Xclear

   - I tool di printconf forniscono capacità limitate di auto-rilevamento della
     stampante.

   - redhat-config-printer-tui e redhat-config-printer-gui sono rispettivamente
     gli alias di printconf-tui e printconf-gui.
     
   - Ghostscript è stato aggiornato alla versione 6.51 e supporta ora molte 
     unità aggiuntive, nonché file PDF criptati.

   - è stato inoltre aggiunto il supporto per i driver di stampa hpij di
     HP usati da ghostscript. Purtroppo, a causa di restrizioni relative alla licenza,
     non sono inclusi nella distribuzione; tuttavia, sono scaricabili sul sito del
     progetto, all'indirizzo http://hpinkjet.sourceforge.net e dovrebbero funzionare
     come componenti 'drop-in'.

i386 7.2
